<?php
namespace Claromentis\Pages\DataTable;

$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] ?: array()) + array();
use Claromentis\Core\DataTable;
use Claromentis\Core\Services;
use Claromentis\Pages\Api\TrashCanApi;
class MyDeletedItemsDataTable extends AbstractDeletedItemsDataTable
{
    protected TrashCanApi $trash_can_api;
    public function __construct()
    {
        parent::__construct();
        
        
        $this->trash_can_api = Services::I()->{TrashCanApi::class};
    }
    protected function GetData(DataTable\Contract\Parameters $_4c4d12d3e4f6cac68e3eecffe9887915) : array
    {
        return $this->trash_can_api->GetMyDeletedItems($_4c4d12d3e4f6cac68e3eecffe9887915->GetSortColumn(), $_4c4d12d3e4f6cac68e3eecffe9887915->GetSortDir(), $_4c4d12d3e4f6cac68e3eecffe9887915->GetLimit(), $_4c4d12d3e4f6cac68e3eecffe9887915->GetOffset());
    }
    protected function GetDataCount() : int
    {
        return $this->trash_can_api->GetMyDeletedItemsCount();
    }
}